com.sun.syndication.io.impl

## Class SyModuleParser

- java.lang.Object
- - com.sun.syndication.io.impl.SyModuleParser

All Implemented Interfaces:
  ModuleParser

    public class SyModuleParser
    extends java.lang.Object
    implements ModuleParser

### Constructor Summary

Constructors
Constructor and Description
`SyModuleParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getNamespaceUri()` Returns the namespace URI this parser handles.
`Module` `parse(org.jdom.Element syndRoot)` Parses the XML node (JDOM element) extracting module information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyModuleParser

    public SyModuleParser()

### Method Detail

#### getNamespaceUri

    public java.lang.String getNamespaceUri()

Description copied from interface: `ModuleParser`
Returns the namespace URI this parser handles.

Specified by:
  `getNamespaceUri` in interface `ModuleParser`
Returns:
  the namespace URI.

#### parse

    public Module parse(org.jdom.Element syndRoot)

Description copied from interface: `ModuleParser`
Parses the XML node (JDOM element) extracting module information.

Specified by:
  `parse` in interface `ModuleParser`
Parameters:
  `syndRoot` - the XML node (JDOM element) to extract module information from.
Returns:
  a module instance, null if the element did not have module information.